Page MenuHomePhabricator

Decommission db2050.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission of server db2050.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2050
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #3,#4 and #7 as broken so they don't get re-used
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Normal priority.Aug 13 2019, 5:27 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 529849 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2050 from config

https://gerrit.wikimedia.org/r/529849

Marostegui updated the task description. (Show Details)Aug 13 2019, 5:29 AM

Change 529849 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2050 from config

https://gerrit.wikimedia.org/r/529849

Mentioned in SAL (#wikimedia-operations) [2019-08-13T05:32:51Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2050 from config T230391 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2019-08-13T05:33:44Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2050 from config T230391 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2019-08-13T05:35:15Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db2050 from config, host will be decommissioned T230391', diff saved to https://phabricator.wikimedia.org/P8904 and previous config saved to /var/cache/conftool/dbconfig/20190813-053514-marostegui.json

Change 529850 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommissioned db2050

https://gerrit.wikimedia.org/r/529850

Marostegui updated the task description. (Show Details)Aug 13 2019, 5:39 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-13T05:40:18Z] <marostegui> Remove db2050 from tendril and zarcillo T230391

Change 529850 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2050

https://gerrit.wikimedia.org/r/529850

Mentioned in SAL (#wikimedia-operations) [2019-08-13T05:47:30Z] <marostegui> Stop mysql on db2050 - T230391

Marostegui reassigned this task from Marostegui to RobH.Aug 13 2019, 5:48 AM
Marostegui edited projects, added ops-codfw, DC-Ops; removed Patch-For-Review, DBA.
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Aug 16 2019, 3:42 PM

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2050.codfw.wmnet

  • db2050.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 540531 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove db2050 from puppet

https://gerrit.wikimedia.org/r/540531

Change 540532 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS entries for db2050

https://gerrit.wikimedia.org/r/540532

Change 540531 merged by Marostegui:
[operations/puppet@production] site.pp: Remove db2050 from puppet

https://gerrit.wikimedia.org/r/540531

Change 540532 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS entries for db2050

https://gerrit.wikimedia.org/r/540532

Marostegui reassigned this task from RobH to Papaul.Thu, Oct 3, 5:49 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for @Papaul for on-site steps and switch port disablement.

Papaul added a comment.Thu, Oct 3, 2:39 PM
papaul@asw-c-codfw# show| compare 
[edit interfaces interface-range vlan-private1-c-codfw]
-    member ge-6/0/19;
[edit interfaces interface-range disabled]
     member ge-6/0/16 { ... }
+    member ge-6/0/19;
[edit interfaces]
-   ge-6/0/19 {
-       description db2050;
-       enable;
-   }
Papaul updated the task description. (Show Details)Thu, Oct 3, 2:40 PM
RobH removed a subscriber: RobH.Thu, Oct 3, 3:05 PM
Papaul updated the task description. (Show Details)Mon, Oct 7, 3:17 PM
Papaul added a subscriber: RobH.
Papaul updated the task description. (Show Details)Mon, Oct 7, 8:02 PM

Change 541907 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for sarin,db2050 and db2055

https://gerrit.wikimedia.org/r/541907

Change 541907 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for sarin,db2050 and db2055

https://gerrit.wikimedia.org/r/541907

Papaul closed this task as Resolved.Wed, Oct 9, 8:19 PM
Papaul updated the task description. (Show Details)

complete